package xyz.twovb.sgm.games.impl.capturethebrick.events;
/*
 * Created by 2vb - 7/7/2024
 */

import net.kyori.adventure.text.Component;
import org.bukkit.entity.Player;
import org.bukkit.event.Cancellable;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;
import xyz.twovb.sgm.games.impl.capturethebrick.CTB;
import xyz.twovb.toolbox.utils.ChatUtils;

public class PlayerCaptureBrickEvent extends Event implements Cancellable {
    private static final HandlerList HANDLER_LIST = new HandlerList();
    private final Player thief;
    private boolean isCancelled;

    private String message;

    public PlayerCaptureBrickEvent(Player thief) {
        this.thief = thief;
        this.isCancelled = false;
        this.message = CTB.getMessages().getString("system.player.brick.steal.announce");
    }

    public static HandlerList getHandlerList() {
        return HANDLER_LIST;
    }

    public Player getThief() {
        return this.thief;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public HandlerList getHandlers() {
        return HANDLER_LIST;
    }

    @Override
    public boolean isCancelled() {
        return this.isCancelled;
    }

    @Override
    public void setCancelled(boolean cancelled) {
        this.isCancelled = cancelled;
    }
}
